<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class RecurringTransfer extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $fillable = [
        'from_wallet_id', 'to_wallet_id', 'amount', 'frequency',
    ];

    public function to(): BelongsTo
    {
        return $this->belongsTo(Wallet::class, 'to_wallet_id', 'id');
    }
}
