<?php

declare(strict_types=1);

use App\Http\Controllers\DashboardController;
use App\Http\Controllers\RecurringTransfersController;
use App\Http\Controllers\SendMoneyController;
use Illuminate\Support\Facades\Route;

Route::middleware('auth')->group(function () {
    Route::get('/', DashboardController::class)->name('dashboard');
    Route::post('/send-money', [SendMoneyController::class, '__invoke'])->name('send-money');

    Route::get('recurring-transfers', [RecurringTransfersController::class, 'index'])->name('recurring-transfers.index');
    Route::post('recurring-transfers', [RecurringTransfersController::class, 'store'])->name('recurring-transfers.store');
});

require __DIR__.'/auth.php';
